#
# spec file for package libmthca-rdmav2
#
# Copyright (c) 2013-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           libmthca-rdmav2
Summary:        User space libraries (device-specific) for Infiniband Mellanox HCA
Version:        1.0.6
Release:        7.5
License:        BSD-2-Clause or GPL-2.0
Group:          System/Libraries
Source0:        libmthca-%{version}.tar.gz
Source1:        baselibs.conf
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel

Supplements:    modalias(pci:v000015B3d00001867sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000015B3d00005A44sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000015B3d00005E8Csv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000015B3d00006274sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000015B3d00006278sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000015B3d00006282sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001867d00005A44sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001867d00005E8Csv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001867d00006274sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001867d00006278sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001867d00006282sv*sd*bc*sc*i*)

%description
libmthca provides a device-specific userspace driver for Mellanox HCAs
(MT23108 InfiniHost and MT25208 InfiniHost III Ex) for use with the
libibverbs library

%prep
%setup -q -n libmthca-%version

%build
%configure --disable-static
make

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/libmthca.{a,la,so}

%files
%defattr(-, root, root)
%doc COPYING
%config %_sysconfdir/libibverbs.d/mthca.driver
%_libdir/%name.so

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Mon Feb 10 2014 pth@suse.de
- Fix License specification, include copying
* Fri Jan 31 2014 pth@suse.de
- This is a plugin so no need for a devel package.
- Do delete the devel files section.
* Wed Jan 29 2014 pth@suse.de
- Add PCI-IDs from sle11-sp3.
* Fri Jan 17 2014 pth@suse.de
- Update to 1.0.6 from OFED 3.12 daily
- Enable build on s390x.
- Use spdx.org format for license specification.
* Tue Feb  5 2013 stefan.fent@suse.com
- Disable build on s390 and s390x
* Fri Dec  7 2012 pth@suse.de
- Update to 1.0.5-0.1.gbe5eef3 from OFED 1.5.4.1 (fate#314255).
- Enable OFED on all architectures (fate#314124).
* Thu Dec 11 2008 jjolly@suse.de
- Updated to package from OFED 1.4 GA
  - Moved thread mutexes higher in calltree
* Fri Nov  7 2008 ihno@suse.de
- really adding baselibs.conf
* Thu Nov  6 2008 ihno@suse.de
- adding baselibs.conf
- adding ExcludeArch s390 s390x
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
* Thu Sep 11 2008 jjolly@suse.de
- Updated to version 1.0.5 from OFED 1.4 rc1
* Mon Aug 20 2007 hvogel@suse.de
- Update to version from OFED 1.2.5
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.0.4
